### Function

# Vips col_XYZ2Lab

#### Declaration [src]

    void
    vips_col_XYZ2Lab (
      float X,
      float Y,
      float Z,
      float* L,
      float* a,
      float* b
    )

#### Description [src]

Calculate XYZ from Lab, D65.

See also

`vips_XYZ2Lab()`.

#### Parameters

`X`

  Type: `float`

  Input CIE XYZ colour.

`Y`

  Type: `float`

  Input CIE XYZ colour.

`Z`

  Type: `float`

  Input CIE XYZ colour.

`L`

  Type: `float*`

  Return CIE Lab value.

  The argument will be set by the function.

`a`

  Type: `float*`

  Return CIE Lab value.

  The argument will be set by the function.

`b`

  Type: `float*`

  Return CIE Lab value.

  The argument will be set by the function.